# -*- encoding: utf-8 -*-
###############################################################################
#                                                                             #
#   akretion_customer for OpenERP                                             #
#   Copyright (C) 2011 Akretion Sébastien BEAU <sebastien.beau@akretion.com>  #
#                                                                             #
#   This program is free software: you can redistribute it and/or modify      #
#   it under the terms of the GNU Affero General Public License as            #
#   published by the Free Software Foundation, either version 3 of the        #
#   License, or (at your option) any later version.                           #
#                                                                             #
#   This program is distributed in the hope that it will be useful,           #
#   but WITHOUT ANY WARRANTY; without even the implied warranty of            #
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             #
#   GNU Affero General Public License for more details.                       #
#                                                                             #
#   You should have received a copy of the GNU Affero General Public License  #
#   along with this program.  If not, see <http://www.gnu.org/licenses/>.     #
#                                                                             #
###############################################################################

#from base_status.base_stage import base_stage
from openerp.osv import fields, orm, osv
import time
from tools.translate import _


class project_issue(orm.Model):
    _inherit = 'project.issue'


    def _get_user(self, cr, uid, context=None):
        users_obj = self.pool.get('res.users')
        if users_obj.has_group(cr, uid, "akretion_customer.group_customer_access"):
            return False
        else:
            return uid

    def _get_partner(self, cr, uid, context=None):
        users_obj = self.pool.get('res.users')
        if users_obj.has_group(cr, uid, "akretion_customer.group_customer_access"):
            user = users_obj.browse(cr, uid, uid, context=context)
            if user.partner_id:
                partner_id = user.partner_id.id
                return partner_id
        else:
            return False

    def write(self, cr, uid, ids, vals, context=None):
        model_data_obj = self.pool.get('ir.model.data')
        model, group_id = model_data_obj.get_object_reference(cr, uid, 'akretion_customer', 'group_customer_access')

        user_id = self.pool.get('res.users').search(cr, uid, [('id', '=', uid), ('groups_id','=',group_id)], context=context)
        print("user_id==", user_id, 'group_id', group_id, "vals===", vals)
        if user_id and vals.has_key('stage_id'):
            raise osv.except_osv(_('Existing Issue'), _("You can't change an issue's stage.\nAkretion's team will do it on time, don't worry!"))

        return super(project_issue, self).write(cr, uid, ids, vals, context=context)


    _defaults = {
        'user_id': _get_user,
        'partner_id': _get_partner,
                }

