# -*- coding: utf-8 -*-
###############################################################################
#                                                                             #
#   akretion_customer for OpenERP                                             #
#   Copyright (C) 2011 Akretion Sébastien BEAU <sebastien.beau@akretion.com>  #
#                                                                             #
#   This program is free software: you can redistribute it and/or modify      #
#   it under the terms of the GNU Affero General Public License as            #
#   published by the Free Software Foundation, either version 3 of the        #
#   License, or (at your option) any later version.                           #
#                                                                             #
#   This program is distributed in the hope that it will be useful,           #
#   but WITHOUT ANY WARRANTY; without even the implied warranty of            #
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             #
#   GNU Affero General Public License for more details.                       #
#                                                                             #
#   You should have received a copy of the GNU Affero General Public License  #
#   along with this program.  If not, see <http://www.gnu.org/licenses/>.     #
#                                                                             #
###############################################################################


from openerp.osv import fields, orm

class res_partner(orm.Model):
    _inherit = 'res.partner'

    def _get_customer_parent(self, cr, uid, context=None):
        data_obj = self.pool['ir.model.data']
        group_id = data_obj.get_object_reference(cr, uid,
                                                'akretion_customer',
                                                'group_customer_access')
        user = self.pool['res.users'].browse(cr, uid, uid, context=context)
        for group in user.groups_id:
            if group_id and group_id[0] == group.id:
                return user.partner_id.id
        return False

    _columns = {
        'opw': fields.char('OPW', size=128),
         }

    _defaults = {
        'parent_id': _get_customer_parent
    }

#class res_partner_address(osv.osv):
#    _inherit = 'res.partner.address'
#
#   def _get_partner(self, cr, uid, context=None):
#        if context.get('quick_address'):
#            user = self.pool.get('res.users').browse(cr, uid, uid, context=context)
#            if user.partner_id:
#                return user.partner_id.id
#        return False
#
#    _defaults = {
#        'partner_id': _get_partner,
#         }
#
#    def name_get(self, cr, user, ids, context=None):
#        if context is None:
#            context = {}
#        if context.get('quick_address'):
#            if not len(ids):
#                return []
#            res = []
#            for address in self.read(cr, user, ids, ['name','email']):
#                res.append((address['id'], "%s - %s"%(address['name'], address['email'])))
#            return res
#        res =  super(res_partner_address, self).name_get(cr, user, ids, context=context)
#        return res

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:

